## layoutswitcher 1.0.1

=== Makefile ===
VERSION = 1.0.1

COMMONICONS = layoutswitcher.png      \
              layoutswitcher-lock.png \
              layoutswitcher-unk.png

ICONS = icons2008/layoutswitcher-da_DK.png   \
        icons2008/layoutswitcher-de_DE.png   \
        icons2008/layoutswitcher-el_GR.png   \
        icons2008/layoutswitcher-en_GB.png   \
        icons2008/layoutswitcher-en_US.png   \
        icons2008/layoutswitcher-es_ES.png   \
        icons2008/layoutswitcher-es_MX.png   \
        icons2008/layoutswitcher-fi_FI.png   \
        icons2008/layoutswitcher-fr_CA.png   \
        icons2008/layoutswitcher-fr_FR.png   \
        icons2008/layoutswitcher-hu_HU.png   \
        icons2008/layoutswitcher-it_IT.png   \
        icons2008/layoutswitcher-nl_NL.png   \
        icons2008/layoutswitcher-no_NO.png   \
        icons2008/layoutswitcher-pl_PL.png   \
        icons2008/layoutswitcher-pt_BR.png   \
        icons2008/layoutswitcher-pt_PT.png   \
        icons2008/layoutswitcher-ru_RU.png   \
        icons2008/layoutswitcher-sv_SE.png



DEFINES = '-DVERSION="$(VERSION)"'
PACKAGES = gtk+-2.0 gconf-2.0 libhildondesktop hildon-1 libosso

all: TestApp libLayoutSwitcher2008.so

TestApp: TestApp.o SwitcherButton.o TabletModel.o
	gcc $^ -o $@ `pkg-config --libs $(PACKAGES)`

libLayoutSwitcher2008.so: Applet2008.o SwitcherButton.o TabletModel.o
	gcc $^ -o $@ -shared `pkg-config --libs $(PACKAGES)`

.c.o:
	gcc $(DEFINES) -O2 $< -o $@ -c `pkg-config --cflags $(PACKAGES)`


clean:
	rm -rf *.o libLayoutSwitcher2008.so TestApp


install: libLayoutSwitcher2008.so LayoutSwitcher2008.desktop
	cp libLayoutSwitcher2008.so $(DESTDIR)/usr/lib/hildon-desktop/
	cp LayoutSwitcher2008.desktop $(DESTDIR)/usr/share/applications/hildon-status-bar/
	cp $(COMMONICONS) $(DESTDIR)/usr/share/icons/hicolor/40x40/hildon/
	cp $(ICONS) $(DESTDIR)/usr/share/icons/hicolor/40x40/hildon/

=== debian/changelog ===
layoutswitcher (1.0.1) unstable; urgency=low

  * No changes, just version increased in order to force update from Extras

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  28 Sep 2010 15:44:00 +0400

layoutswitcher (1.0) unstable; urgency=low

  * Changed to be able to be compiled by autobuilder

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  28 Sep 2010 14:52:00 +0400

=== debian/control ===
Source: layoutswitcher
Section: user/utilities
Priority: extra
Maintainer: Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>
Build-Depends: debhelper (>= 5), libgtk2.0-dev, libgconf2-dev, libhildondesktop-dev, libhildon1-dev, libosso-dev
Standards-Version: 2.0

Package: layoutswitcher2008
Section: user/utilities
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Statusbar applet displaying current keyboard layout
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABGdBTUEAALGPC/xh
 BQAAAAFzUkdCAK7OHOkAAAAgY0hSTQAAeiYAAICEAAD6AAAAgOgAAHUwAADqYAAA
 OpgAABdwnLpRPAAAAAZiS0dEAP4A/gD+6xjUggAAAAlwSFlzAAAASAAAAEgARslr
 PgAAAAl2cEFnAAAAGgAAABoAB7JmLwAABVlJREFUSMfdls9vXVcRxz/n3HPfD/s5
 dhwnfrbr2IljUppKbUNABcSPsiISSFQtCCQWbFmwQUiw6pYisWCBFHYgJYIiISEh
 UcmtECuCKQUkRArFUdI02HES//bze/fHmRkW9yZxEH9Bj/TVzBmN5jvn3JkzFz5o
 yz39veVQ7O6nvV5B6gxRIcEQUbwqmKJiOINClOfy63x77ac0ZYDgiZYgeAqDXKBQ
 T6GQb2wQMNoz08jBXhnWB+Fr/kj3K8m4d5moOVNKURwKopgqTg1TAwzZ63FikHKk
 zFAzVEtUDVEjSpVgFMXOdd2Jb3wrHP38FxvvLS1dDht58mR39sQXPjTd5l5fGU+E
 XmE0E6WIRqJKwxtZIQynns5/thnPO3SLiIpgIiAREwURLArWGcN/9Zs0v/R1yrRJ
 OnF8OaBqB5rQbAU+PCSoeEZVaTqjLJRWavRyZb4RuLOn9I6fQp7/LnlSYKqYSCW1
 IkobDVrzZ0mePE/pE25eX+H6/r4FojDsI20nbA2U0aBkmeGCkkfDRPFq7PaNdjDS
 BmhzCEtTROvrFcGSQHL6HM35RZIkIcsy7q6tcf/effIiJ6DC7qAiSVUYqBFFiRj9
 XGk1YDdTxltwY0uYvHeb5js/YSjuYlpdnWt18B+/iPvYZzHn2N3dZXNzk36/j5Ul
 5a1bBEQ4GpQRr2RRSb1RqgLGcGLEqIwEo8yVqSFIuk/Qv/gd9tISiUJIU4anTuJn
 5jCXsLezzebWFkVR4DB8GggLCxVRPxf6heJUKcVADUPJcmMkNQal0glwfz8y2t8n
 fe8aaVMJZ56h9dQFQqvN2k7O6v0tevv7lGVExFA1draU7bW9iigx5UhQikIZDsZO
 qbQDuERpOUOckThjtOlob2wR3llm+NnzuLkF8rTNb/6VcenqNrc3M5yCRYdJBTaN
 2ZWdiqgsIr1MaKD0xUicUpYgUSkxVBR1UOaR7qnTNC++ips6zkYRuPSHHpf+fMCd
 HYHoQRTEQ1QQR3O/wWh3gUAppKY0nFGUSstXZe0DqCkSDWqiT5we4uXnjnJsZoh/
 bAo/uNrjV9cGZLmCA5zVsoYHNGJ3VgmfO5sydSYwOeHZOzCGUyMvwaOIODxGK0mY
 O9biyxeOMTma8uuVku9f7fO3tRKV6sXA7NHD9kA3A1U0loRXXlCmTkaGOiWmipph
 Zg+b0DXbdMbGONppMVDPj/5a8sPljPU9BTucfg17eJRKhhQ3e5Jw/mev0Fp4gmR8
 DHMekgRqIqYX8Z9+ET/aZn1rwGtvb3Dl7wPSA2HeqmZFpf4uEUQqRMEkghiN3l0m
 3n+LsL1wjtFTczTGRjFclRjQmJginL0Ak7PoP9+G11/jkzdXeb6IddBDgR/oUR6z
 O1H29kpWs0DYfPZThJNzMDKCqkJriGZ3Ft8ZgSKHPy3hly7Tvf0uXRWINUmMj0ge
 EMTDp6r87mYJcXiRsHj5VRoLcyQTEzC9gPvMS/ihYdhahzeuwF9+B/vb4JLqo+MP
 wQ7JpKo6arhqH6NQ3rhBuP3Cy0zMz3NkeobGwtO4iRm4eQ3evALXlqHIquoxravJ
 qlgPK4xHwR9blc18gkx2Cf6pj5A+81HS7jSuyOCtJXjjMqzfAtXa3/4PmT1OfHj/
 v8n4hHCmmXg/fgw215E3fwF//C30dis/rfoAVUzl4f0f1h9VmNY2rYdgNZnzLCJ3
 b7qg76+suPmzvx+8/ksb/PzHpmWJ4usxDaJW9VY9rit7DTGk/qcQNVOzBzoiVU8e
 FOYOMvm3O1gkWKOTZqt98gMlBigFxKCsIQaxRkmFWKMEMqAA8lpmtZ4DKTBRuX3A
 1n8BkmC2drkKIOIAAAAldEVYdGNyZWF0ZS1kYXRlADIwMTAtMDEtMTNUMDk6NDQ6
 NTArMDM6MDAEPMN5AAAAJXRFWHRtb2RpZnktZGF0ZQAyMDEwLTAxLTEzVDA5OjQ0
 OjUwKzAzOjAwW421TQAAAABJRU5ErkJggg==

=== debian/rules ===
#!/usr/bin/make -f

clean:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	make clean

	dh_clean


build:
	dh_testdir

	make


install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	make DESTDIR=$(CURDIR)/debian/layoutswitcher2008 install


binary-indep:

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


binary: binary-indep binary-arch

.PHONY: clean build install binary-indep binary-arch binary
